
Redmine - Feature #8002

Close issue at a precise date

2011-03-26 20:01 - odile oudre

Status: New Start date: 2011-03-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I want to know if it is possible to close issue with a defined date, not the date at you change the status. It would be cool to have a

button to close the issue with a textbox (with the date of today but you can change) .

Related issues:

Related to Redmine - Feature #14801: Have the option to specify the date to u... New

Has duplicate Redmine - Feature #13788: Manually update of the close date (cl... Closed

History

#1 - 2013-09-08 01:52 - Toshi MARUYAMA

- Related to Feature #14801: Have the option to specify the date to use when time was logged for a specific ticket when updating that ticket added

#2 - 2013-09-08 01:59 - Toshi MARUYAMA

- Has duplicate Feature #13788: Manually update of the close date (closed_on) added

#3 - 2014-07-14 20:24 - Antonio De Marinis

+1 I have this need too. For example many issues are sometimes forgotten to be closed and closed much later. This makes it difficult to create proper

"lead time" or other similar perfomance metrics

#4 - 2014-08-12 18:12 - Toshi MARUYAMA

- Subject changed from Close issue at a a date precise to Close issue at a date precise

#5 - 2014-08-12 18:13 - Toshi MARUYAMA

- Description updated

#6 - 2014-08-12 18:16 - Toshi MARUYAMA

- Subject changed from Close issue at a date precise to Close issue at a precise date

#7 - 2014-08-12 18:17 - Toshi MARUYAMA

- Description updated

#8 - 2016-10-27 15:51 - Antonio De Marinis

this feature is present in Redmine helpdesk plugin, where admin can decide the days tickets can be auto-closed if not updated since within a specific

time frame (given in days). However the feature only works for helpdesk tickets, it is not generic for all trackers types.

https://github.com/jfqd/redmine_helpdesk

#9 - 2025-07-09 21:29 - John Doe

+1 We have a need to be able correct the "closed" date manually as well!

In our case after importing a bulk of historical data from another (proprietary) tracking system, as Redmine does not respect the "closed" field

definitions in the file, but rather set it to the import date instead (which makes sense from the perspective of Redmine in a way, but in our cases it

makes more sense to have imported issues keep their historical reality in-tact for retrospective reporting from Redmine purposes). It would be nice to

be able to set the closed date manually similar to how we can so with other fields as well, as requested in this ticket.

Alternatively (for our case) it would be good to have the option to have Redmine respect the "closed" dates set in files when importing them (as

requested in #42993).
